
# --------------------------------------
#   numberpad
#   65f69712c3275a58canv
__canvas_id__ = '65f69712c3275a58'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from Rainbow import Rainbow
from NeoPixel import NeoPixel
from Variable import Variable
from DigitalOutput import DigitalOutput
from EdgeDetector import EdgeDetector
from DigitalInput import DigitalInput
from ColorChase import ColorChase
from HbtLed import HbtLed
from ESP32Core import ESP32Core
from CANBus import CANBus
def setup(iris):
  CANBus(name="CANBus", pid=6545, rx=16, tx=4, adr=22, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  ColorChase(name="ColorChase", pid=34110, dot_color=None, fill_color=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name=" six", pid=7025, pin=21, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="eight", pid=59164, pin=18, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="enter", pid=8596, pin=22, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="five", pid=5730, pin=13, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="four", pid=25546, pin=25, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="nine", pid=10687, pin=19, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="one", pid=8138, pin=26, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="select", pid=11853, pin=27, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="seven", pid=56103, pin=33, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="three", pid=29204, pin=23, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="two", pid=31793, pin=12, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="zero", pid=24410, pin=14, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="can_slp", pid=11397, pin=2, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=False, hbt_led=FP(50487), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge", operator="rising_edge", pid=55556, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_1", operator="rising_edge", pid=11442, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_2", operator="rising_edge", pid=40915, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_3", operator="rising_edge", pid=42216, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_4", operator="rising_edge", pid=15502, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_5", operator="rising_edge", pid=50850, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_6", operator="rising_edge", pid=15611, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_7", operator="rising_edge", pid=14917, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_8", operator="rising_edge", pid=48410, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  EdgeDetector(name="RisingEdge_9", operator="rising_edge", pid=54626, initial_state=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name="HbtLed", pid=50487, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_strip", pid=52885, pin=0, number_of_pixels=5, animation=FP(47531), delay=FP(40316), animations=[FP(34450), FP(34110)], datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Rainbow(name="Rainbow", pid=34450, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Variable(name="animation", pid=47531, state=0, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="delay", pid=40316, state=100, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=21704, state=1, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=27064, state=9, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=28617, state=3, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=35300, state=7, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=35443, state=2, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=37152, state=5, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=37523, state=4, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=44783, state=0, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=58102, state=8, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="no_name", pid=59952, state=6, datatype="int", constant=True, debug=False, active=True, bcast=True, iris=iris)
  Variable(name="number", pid=40170, state=0, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  iris.add_hots({"55556": [56103], "11442": [25546], "40915": [8138], "42216": [59164], "15502": [5730], "50850": [31793], "15611": [24410], "14917": [10687], "48410": [7025], "54626": [29204], "37152": [15502], "35300": [55556], "37523": [11442], "21704": [40915], "58102": [42216], "35443": [50850], "44783": [15611], "27064": [14917], "59952": [48410], "28617": [54626], "40170": [37523, 35300, 58102, 37152, 21704, 27064, 59952, 28617, 44783, 35443]})

